OpenNMS API 1.2.9

## org.opennms.report.datablock
Class Interface.ServiceComparator

    java.lang.Object
      org.opennms.report.datablock.Interface.ServiceComparator

Enclosing class:
  Interface

private static class Interface.ServiceComparator
extends java.lang.Object

Field Summary
`private java.lang.String` `m_svcname`

Constructor Summary
`private` `Interface.ServiceComparator(java.lang.String svc)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`(package private) static Interface.ServiceComparator` `make(Service svc)`
`(package private) static Interface.ServiceComparator` `make(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_svcname

    private java.lang.String m_svcname

Constructor Detail

### Interface.ServiceComparator

    private Interface.ServiceComparator(java.lang.String svc)

Method Detail

### make

    static Interface.ServiceComparator make(java.lang.String name)

### make

    static Interface.ServiceComparator make(Service svc)

### equals

    public boolean equals(java.lang.Object o)

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.